import React from 'react';
import { SettingsPageProps } from '../SettingsPage';
export interface SettingsPageListProps {
    name: string;
    pages: SettingsPageProps[];
}
export declare class SettingsPageList extends React.PureComponent<SettingsPageListProps> {
    private HeaderComponent?;
    private FooterComponent?;
    componentWillMount(): void;
    render(): JSX.Element;
}
